1. Packages
  2. Oracle Cloud Infrastructure
  3. API Docs
  4. oci
  5. getSelfSubscriptions
Viewing docs for Oracle Cloud Infrastructure v4.7.0
published on Thursday, Apr 16, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.7.0
published on Thursday, Apr 16, 2026 by Pulumi

    This data source provides the list of Subscriptions in Oracle Cloud Infrastructure Self service.

    Lists the subscriptions which have been created in the specified compartment. You can filter results by specifying query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubscriptions = oci.oci.getSelfSubscriptions({
        compartmentId: compartmentId,
        displayName: subscriptionDisplayName,
        id: subscriptionId,
        lifecycleDetails: subscriptionLifecycleDetails,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subscriptions = oci.oci.get_self_subscriptions(compartment_id=compartment_id,
        display_name=subscription_display_name,
        id=subscription_id,
        lifecycle_details=subscription_lifecycle_details)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/oci"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := oci.GetSelfSubscriptions(ctx, &oci.GetSelfSubscriptionsArgs{
    			CompartmentId:    pulumi.StringRef(compartmentId),
    			DisplayName:      pulumi.StringRef(subscriptionDisplayName),
    			Id:               pulumi.StringRef(subscriptionId),
    			LifecycleDetails: pulumi.StringRef(subscriptionLifecycleDetails),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubscriptions = Oci.Oci.GetSelfSubscriptions.Invoke(new()
        {
            CompartmentId = compartmentId,
            DisplayName = subscriptionDisplayName,
            Id = subscriptionId,
            LifecycleDetails = subscriptionLifecycleDetails,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.oci.OciFunctions;
    import com.pulumi.oci.oci.inputs.GetSelfSubscriptionsArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubscriptions = OciFunctions.getSelfSubscriptions(GetSelfSubscriptionsArgs.builder()
                .compartmentId(compartmentId)
                .displayName(subscriptionDisplayName)
                .id(subscriptionId)
                .lifecycleDetails(subscriptionLifecycleDetails)
                .build());
    
        }
    }
    
    variables:
      testSubscriptions:
        fn::invoke:
          function: oci:oci:getSelfSubscriptions
          arguments:
            compartmentId: ${compartmentId}
            displayName: ${subscriptionDisplayName}
            id: ${subscriptionId}
            lifecycleDetails: ${subscriptionLifecycleDetails}
    

    Using getSelfSubscriptions

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSelfSubscriptions(args: GetSelfSubscriptionsArgs, opts?: InvokeOptions): Promise<GetSelfSubscriptionsResult>
    function getSelfSubscriptionsOutput(args: GetSelfSubscriptionsOutputArgs, opts?: InvokeOptions): Output<GetSelfSubscriptionsResult>
    def get_self_subscriptions(compartment_id: Optional[str] = None,
                               display_name: Optional[str] = None,
                               filters: Optional[Sequence[GetSelfSubscriptionsFilter]] = None,
                               id: Optional[str] = None,
                               lifecycle_details: Optional[str] = None,
                               opts: Optional[InvokeOptions] = None) -> GetSelfSubscriptionsResult
    def get_self_subscriptions_output(compartment_id: Optional[pulumi.Input[str]] = None,
                               display_name: Optional[pulumi.Input[str]] = None,
                               filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetSelfSubscriptionsFilterArgs]]]] = None,
                               id: Optional[pulumi.Input[str]] = None,
                               lifecycle_details: Optional[pulumi.Input[str]] = None,
                               opts: Optional[InvokeOptions] = None) -> Output[GetSelfSubscriptionsResult]
    func GetSelfSubscriptions(ctx *Context, args *GetSelfSubscriptionsArgs, opts ...InvokeOption) (*GetSelfSubscriptionsResult, error)
    func GetSelfSubscriptionsOutput(ctx *Context, args *GetSelfSubscriptionsOutputArgs, opts ...InvokeOption) GetSelfSubscriptionsResultOutput

    > Note: This function is named GetSelfSubscriptions in the Go SDK.

    public static class GetSelfSubscriptions 
    {
        public static Task<GetSelfSubscriptionsResult> InvokeAsync(GetSelfSubscriptionsArgs args, InvokeOptions? opts = null)
        public static Output<GetSelfSubscriptionsResult> Invoke(GetSelfSubscriptionsInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetSelfSubscriptionsResult> getSelfSubscriptions(GetSelfSubscriptionsArgs args, InvokeOptions options)
    public static Output<GetSelfSubscriptionsResult> getSelfSubscriptions(GetSelfSubscriptionsArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:oci/getSelfSubscriptions:getSelfSubscriptions
      arguments:
        # arguments dictionary

    The following arguments are supported:

    CompartmentId string
    The OCID of the compartment in which to list resources.
    DisplayName string
    A filter to return only resources that match the given name.
    Filters List<GetSelfSubscriptionsFilter>
    Id string
    The OCID of the Subscription.
    LifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    CompartmentId string
    The OCID of the compartment in which to list resources.
    DisplayName string
    A filter to return only resources that match the given name.
    Filters []GetSelfSubscriptionsFilter
    Id string
    The OCID of the Subscription.
    LifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    compartmentId String
    The OCID of the compartment in which to list resources.
    displayName String
    A filter to return only resources that match the given name.
    filters List<GetSelfSubscriptionsFilter>
    id String
    The OCID of the Subscription.
    lifecycleDetails String
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    compartmentId string
    The OCID of the compartment in which to list resources.
    displayName string
    A filter to return only resources that match the given name.
    filters GetSelfSubscriptionsFilter[]
    id string
    The OCID of the Subscription.
    lifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    compartment_id str
    The OCID of the compartment in which to list resources.
    display_name str
    A filter to return only resources that match the given name.
    filters Sequence[GetSelfSubscriptionsFilter]
    id str
    The OCID of the Subscription.
    lifecycle_details str
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    compartmentId String
    The OCID of the compartment in which to list resources.
    displayName String
    A filter to return only resources that match the given name.
    filters List<Property Map>
    id String
    The OCID of the Subscription.
    lifecycleDetails String
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.

    getSelfSubscriptions Result

    The following output properties are available:

    SubscriptionCollections List<GetSelfSubscriptionsSubscriptionCollection>
    The list of subscription_collection.
    CompartmentId string
    The unique identifier for the compartment where the subscription was purchased.
    DisplayName string
    The subscription name. Must be unique within the compartment. This value can be updated.
    Filters List<GetSelfSubscriptionsFilter>
    Id string
    The unique identifier for the subscription within a specific compartment.
    LifecycleDetails string
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.
    SubscriptionCollections []GetSelfSubscriptionsSubscriptionCollection
    The list of subscription_collection.
    CompartmentId string
    The unique identifier for the compartment where the subscription was purchased.
    DisplayName string
    The subscription name. Must be unique within the compartment. This value can be updated.
    Filters []GetSelfSubscriptionsFilter
    Id string
    The unique identifier for the subscription within a specific compartment.
    LifecycleDetails string
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.
    subscriptionCollections List<GetSelfSubscriptionsSubscriptionCollection>
    The list of subscription_collection.
    compartmentId String
    The unique identifier for the compartment where the subscription was purchased.
    displayName String
    The subscription name. Must be unique within the compartment. This value can be updated.
    filters List<GetSelfSubscriptionsFilter>
    id String
    The unique identifier for the subscription within a specific compartment.
    lifecycleDetails String
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.
    subscriptionCollections GetSelfSubscriptionsSubscriptionCollection[]
    The list of subscription_collection.
    compartmentId string
    The unique identifier for the compartment where the subscription was purchased.
    displayName string
    The subscription name. Must be unique within the compartment. This value can be updated.
    filters GetSelfSubscriptionsFilter[]
    id string
    The unique identifier for the subscription within a specific compartment.
    lifecycleDetails string
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.
    subscription_collections Sequence[GetSelfSubscriptionsSubscriptionCollection]
    The list of subscription_collection.
    compartment_id str
    The unique identifier for the compartment where the subscription was purchased.
    display_name str
    The subscription name. Must be unique within the compartment. This value can be updated.
    filters Sequence[GetSelfSubscriptionsFilter]
    id str
    The unique identifier for the subscription within a specific compartment.
    lifecycle_details str
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.
    subscriptionCollections List<Property Map>
    The list of subscription_collection.
    compartmentId String
    The unique identifier for the compartment where the subscription was purchased.
    displayName String
    The subscription name. Must be unique within the compartment. This value can be updated.
    filters List<Property Map>
    id String
    The unique identifier for the subscription within a specific compartment.
    lifecycleDetails String
    A message that describes the current state of the Subscription in more detail. For example, can be used to provide actionable information for a resource in the Failed state.

    Supporting Types

    GetSelfSubscriptionsFilter

    Name string
    Name of meter.
    Values List<string>
    Regex bool
    Name string
    Name of meter.
    Values []string
    Regex bool
    name String
    Name of meter.
    values List<String>
    regex Boolean
    name string
    Name of meter.
    values string[]
    regex boolean
    name str
    Name of meter.
    values Sequence[str]
    regex bool
    name String
    Name of meter.
    values List<String>
    regex Boolean

    GetSelfSubscriptionsSubscriptionCollection

    GetSelfSubscriptionsSubscriptionCollectionItem

    AdditionalDetails List<GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail>
    Additional details that are specific for this subscription such as activation details.
    CompartmentId string
    The OCID of the compartment in which to list resources.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    DisplayName string
    A filter to return only resources that match the given name.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    Id string
    The OCID of the Subscription.
    LifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    ProductId string
    The unique OCID of the product, effectively functioning as the listing ID.
    Realm string
    The realm from where customer is buying the subscription.
    Region string
    The region from where customer is buying the subscription.
    SellerId string
    The OCID that identifies the seller within the platform.
    SourceType string
    The type of seller in SELF Service.
    State string
    The current lifecycle state of the Subscription.
    SubscriptionDetails List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail>
    The details of a subscription
    SystemTags Dictionary<string, string>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    TenantId string
    The unique identifier for the tenant where the subscription was purchased.
    TimeCreated string
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeEnded string
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeStarted string
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeUpdated string
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    AdditionalDetails []GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail
    Additional details that are specific for this subscription such as activation details.
    CompartmentId string
    The OCID of the compartment in which to list resources.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    DisplayName string
    A filter to return only resources that match the given name.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    Id string
    The OCID of the Subscription.
    LifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    ProductId string
    The unique OCID of the product, effectively functioning as the listing ID.
    Realm string
    The realm from where customer is buying the subscription.
    Region string
    The region from where customer is buying the subscription.
    SellerId string
    The OCID that identifies the seller within the platform.
    SourceType string
    The type of seller in SELF Service.
    State string
    The current lifecycle state of the Subscription.
    SubscriptionDetails []GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail
    The details of a subscription
    SystemTags map[string]string
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    TenantId string
    The unique identifier for the tenant where the subscription was purchased.
    TimeCreated string
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeEnded string
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeStarted string
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    TimeUpdated string
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    additionalDetails List<GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail>
    Additional details that are specific for this subscription such as activation details.
    compartmentId String
    The OCID of the compartment in which to list resources.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    displayName String
    A filter to return only resources that match the given name.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id String
    The OCID of the Subscription.
    lifecycleDetails String
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    productId String
    The unique OCID of the product, effectively functioning as the listing ID.
    realm String
    The realm from where customer is buying the subscription.
    region String
    The region from where customer is buying the subscription.
    sellerId String
    The OCID that identifies the seller within the platform.
    sourceType String
    The type of seller in SELF Service.
    state String
    The current lifecycle state of the Subscription.
    subscriptionDetails List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail>
    The details of a subscription
    systemTags Map<String,String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    tenantId String
    The unique identifier for the tenant where the subscription was purchased.
    timeCreated String
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeEnded String
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeStarted String
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeUpdated String
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    additionalDetails GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail[]
    Additional details that are specific for this subscription such as activation details.
    compartmentId string
    The OCID of the compartment in which to list resources.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    displayName string
    A filter to return only resources that match the given name.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id string
    The OCID of the Subscription.
    lifecycleDetails string
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    productId string
    The unique OCID of the product, effectively functioning as the listing ID.
    realm string
    The realm from where customer is buying the subscription.
    region string
    The region from where customer is buying the subscription.
    sellerId string
    The OCID that identifies the seller within the platform.
    sourceType string
    The type of seller in SELF Service.
    state string
    The current lifecycle state of the Subscription.
    subscriptionDetails GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail[]
    The details of a subscription
    systemTags {[key: string]: string}
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    tenantId string
    The unique identifier for the tenant where the subscription was purchased.
    timeCreated string
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeEnded string
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeStarted string
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeUpdated string
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    additional_details Sequence[GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail]
    Additional details that are specific for this subscription such as activation details.
    compartment_id str
    The OCID of the compartment in which to list resources.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    display_name str
    A filter to return only resources that match the given name.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id str
    The OCID of the Subscription.
    lifecycle_details str
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    product_id str
    The unique OCID of the product, effectively functioning as the listing ID.
    realm str
    The realm from where customer is buying the subscription.
    region str
    The region from where customer is buying the subscription.
    seller_id str
    The OCID that identifies the seller within the platform.
    source_type str
    The type of seller in SELF Service.
    state str
    The current lifecycle state of the Subscription.
    subscription_details Sequence[GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail]
    The details of a subscription
    system_tags Mapping[str, str]
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    tenant_id str
    The unique identifier for the tenant where the subscription was purchased.
    time_created str
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    time_ended str
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    time_started str
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    time_updated str
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    additionalDetails List<Property Map>
    Additional details that are specific for this subscription such as activation details.
    compartmentId String
    The OCID of the compartment in which to list resources.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    displayName String
    A filter to return only resources that match the given name.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id String
    The OCID of the Subscription.
    lifecycleDetails String
    A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
    productId String
    The unique OCID of the product, effectively functioning as the listing ID.
    realm String
    The realm from where customer is buying the subscription.
    region String
    The region from where customer is buying the subscription.
    sellerId String
    The OCID that identifies the seller within the platform.
    sourceType String
    The type of seller in SELF Service.
    state String
    The current lifecycle state of the Subscription.
    subscriptionDetails List<Property Map>
    The details of a subscription
    systemTags Map<String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    tenantId String
    The unique identifier for the tenant where the subscription was purchased.
    timeCreated String
    The date and time the Subscription was created, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeEnded String
    The date and time the Subscription was ended, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeStarted String
    The date and time the Subscription was started, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z
    timeUpdated String
    The date and time the Subscription was updated, in the format defined by RFC 3339. Example: 2016-08-25T21:10:29.600Z

    GetSelfSubscriptionsSubscriptionCollectionItemAdditionalDetail

    Key string
    Additional attribute for extendedMetadata.
    Value string
    It contains the value of above key.
    Key string
    Additional attribute for extendedMetadata.
    Value string
    It contains the value of above key.
    key String
    Additional attribute for extendedMetadata.
    value String
    It contains the value of above key.
    key string
    Additional attribute for extendedMetadata.
    value string
    It contains the value of above key.
    key str
    Additional attribute for extendedMetadata.
    value str
    It contains the value of above key.
    key String
    Additional attribute for extendedMetadata.
    value String
    It contains the value of above key.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetail

    Amount double
    Tha amount for the currency type.
    BillingDetails List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail>
    Sku details for billing subscription.
    Currency string
    The currency supported, in the format specified by ISO-4217
    IsAutoRenew bool
    Whether subscription should be auto-renewed at the end of cycle.
    PartnerRegistrationUrl string
    The activation link given by the partner.
    PricingPlans List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan>
    A pricing plan details provided by the Publisher.
    Amount float64
    Tha amount for the currency type.
    BillingDetails []GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail
    Sku details for billing subscription.
    Currency string
    The currency supported, in the format specified by ISO-4217
    IsAutoRenew bool
    Whether subscription should be auto-renewed at the end of cycle.
    PartnerRegistrationUrl string
    The activation link given by the partner.
    PricingPlans []GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan
    A pricing plan details provided by the Publisher.
    amount Double
    Tha amount for the currency type.
    billingDetails List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail>
    Sku details for billing subscription.
    currency String
    The currency supported, in the format specified by ISO-4217
    isAutoRenew Boolean
    Whether subscription should be auto-renewed at the end of cycle.
    partnerRegistrationUrl String
    The activation link given by the partner.
    pricingPlans List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan>
    A pricing plan details provided by the Publisher.
    amount number
    Tha amount for the currency type.
    billingDetails GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail[]
    Sku details for billing subscription.
    currency string
    The currency supported, in the format specified by ISO-4217
    isAutoRenew boolean
    Whether subscription should be auto-renewed at the end of cycle.
    partnerRegistrationUrl string
    The activation link given by the partner.
    pricingPlans GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan[]
    A pricing plan details provided by the Publisher.
    amount float
    Tha amount for the currency type.
    billing_details Sequence[GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail]
    Sku details for billing subscription.
    currency str
    The currency supported, in the format specified by ISO-4217
    is_auto_renew bool
    Whether subscription should be auto-renewed at the end of cycle.
    partner_registration_url str
    The activation link given by the partner.
    pricing_plans Sequence[GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan]
    A pricing plan details provided by the Publisher.
    amount Number
    Tha amount for the currency type.
    billingDetails List<Property Map>
    Sku details for billing subscription.
    currency String
    The currency supported, in the format specified by ISO-4217
    isAutoRenew Boolean
    Whether subscription should be auto-renewed at the end of cycle.
    partnerRegistrationUrl String
    The activation link given by the partner.
    pricingPlans List<Property Map>
    A pricing plan details provided by the Publisher.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetail

    HasGovSku bool
    Whether this sku is assign to gov product.
    Meters List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter>
    The meters associated with sku.
    MetricType string
    The part's metric.
    RateAllocation double
    Tha rate of this sku meter.
    Sku string
    Sku for service.
    HasGovSku bool
    Whether this sku is assign to gov product.
    Meters []GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter
    The meters associated with sku.
    MetricType string
    The part's metric.
    RateAllocation float64
    Tha rate of this sku meter.
    Sku string
    Sku for service.
    hasGovSku Boolean
    Whether this sku is assign to gov product.
    meters List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter>
    The meters associated with sku.
    metricType String
    The part's metric.
    rateAllocation Double
    Tha rate of this sku meter.
    sku String
    Sku for service.
    hasGovSku boolean
    Whether this sku is assign to gov product.
    meters GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter[]
    The meters associated with sku.
    metricType string
    The part's metric.
    rateAllocation number
    Tha rate of this sku meter.
    sku string
    Sku for service.
    has_gov_sku bool
    Whether this sku is assign to gov product.
    meters Sequence[GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter]
    The meters associated with sku.
    metric_type str
    The part's metric.
    rate_allocation float
    Tha rate of this sku meter.
    sku str
    Sku for service.
    hasGovSku Boolean
    Whether this sku is assign to gov product.
    meters List<Property Map>
    The meters associated with sku.
    metricType String
    The part's metric.
    rateAllocation Number
    Tha rate of this sku meter.
    sku String
    Sku for service.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeter

    extendedMetadatas List<Property Map>
    Additional data give by sku.
    name String
    Name of meter.
    rateAllocation Number
    Tha rate of this sku meter.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailBillingDetailMeterExtendedMetadata

    Key string
    Additional attribute for extendedMetadata.
    Value string
    It contains the value of above key.
    Key string
    Additional attribute for extendedMetadata.
    Value string
    It contains the value of above key.
    key String
    Additional attribute for extendedMetadata.
    value String
    It contains the value of above key.
    key string
    Additional attribute for extendedMetadata.
    value string
    It contains the value of above key.
    key str
    Additional attribute for extendedMetadata.
    value str
    It contains the value of above key.
    key String
    Additional attribute for extendedMetadata.
    value String
    It contains the value of above key.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlan

    BillingFrequency string
    Specifies the interval at which billing occurs for the subscription plan.
    PlanDescription string
    A detailed explanation of the subscription plan.
    PlanDuration string
    Specifies the interval at which billing occurs for the subscription plan.
    PlanName string
    The name of the subscription plan used to identify the plan.
    PlanType string
    The type of the subscription plan.
    Rates List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate>
    The pricing details of the subscription plan in various supported currencies.
    BillingFrequency string
    Specifies the interval at which billing occurs for the subscription plan.
    PlanDescription string
    A detailed explanation of the subscription plan.
    PlanDuration string
    Specifies the interval at which billing occurs for the subscription plan.
    PlanName string
    The name of the subscription plan used to identify the plan.
    PlanType string
    The type of the subscription plan.
    Rates []GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate
    The pricing details of the subscription plan in various supported currencies.
    billingFrequency String
    Specifies the interval at which billing occurs for the subscription plan.
    planDescription String
    A detailed explanation of the subscription plan.
    planDuration String
    Specifies the interval at which billing occurs for the subscription plan.
    planName String
    The name of the subscription plan used to identify the plan.
    planType String
    The type of the subscription plan.
    rates List<GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate>
    The pricing details of the subscription plan in various supported currencies.
    billingFrequency string
    Specifies the interval at which billing occurs for the subscription plan.
    planDescription string
    A detailed explanation of the subscription plan.
    planDuration string
    Specifies the interval at which billing occurs for the subscription plan.
    planName string
    The name of the subscription plan used to identify the plan.
    planType string
    The type of the subscription plan.
    rates GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate[]
    The pricing details of the subscription plan in various supported currencies.
    billing_frequency str
    Specifies the interval at which billing occurs for the subscription plan.
    plan_description str
    A detailed explanation of the subscription plan.
    plan_duration str
    Specifies the interval at which billing occurs for the subscription plan.
    plan_name str
    The name of the subscription plan used to identify the plan.
    plan_type str
    The type of the subscription plan.
    rates Sequence[GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate]
    The pricing details of the subscription plan in various supported currencies.
    billingFrequency String
    Specifies the interval at which billing occurs for the subscription plan.
    planDescription String
    A detailed explanation of the subscription plan.
    planDuration String
    Specifies the interval at which billing occurs for the subscription plan.
    planName String
    The name of the subscription plan used to identify the plan.
    planType String
    The type of the subscription plan.
    rates List<Property Map>
    The pricing details of the subscription plan in various supported currencies.

    GetSelfSubscriptionsSubscriptionCollectionItemSubscriptionDetailPricingPlanRate

    Currency string
    The currency supported, in the format specified by ISO-4217
    Rate double
    The amount charged for the plan in the specified currency.
    Currency string
    The currency supported, in the format specified by ISO-4217
    Rate float64
    The amount charged for the plan in the specified currency.
    currency String
    The currency supported, in the format specified by ISO-4217
    rate Double
    The amount charged for the plan in the specified currency.
    currency string
    The currency supported, in the format specified by ISO-4217
    rate number
    The amount charged for the plan in the specified currency.
    currency str
    The currency supported, in the format specified by ISO-4217
    rate float
    The amount charged for the plan in the specified currency.
    currency String
    The currency supported, in the format specified by ISO-4217
    rate Number
    The amount charged for the plan in the specified currency.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.7.0
    published on Thursday, Apr 16, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.